<?php
/**
* Additional Woocommerce Settings.
*
* @package Omega Digital Store
*/

$omega_digital_store_default = omega_digital_store_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'omega_digital_store_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'omega-digital-store' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'omega_digital_store_theme_option_panel',
	)
);

	$wp_customize->add_setting('omega_digital_store_per_columns',
		array(
		'default'           => $omega_digital_store_default['omega_digital_store_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_digital_store_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_digital_store_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'omega-digital-store'),
		'section'     => 'omega_digital_store_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_digital_store_product_per_page',
		array(
		'default'           => $omega_digital_store_default['omega_digital_store_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_digital_store_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_digital_store_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'omega-digital-store'),
		'section'     => 'omega_digital_store_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_digital_store_show_hide_related_product',
    array(
        'default' => $omega_digital_store_default['omega_digital_store_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_digital_store_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('omega_digital_store_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'omega-digital-store'),
	        'section' => 'omega_digital_store_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('omega_digital_store_custom_related_products_number',
		array(
		'default'           => $omega_digital_store_default['omega_digital_store_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_digital_store_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_digital_store_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'omega-digital-store'),
		'section'     => 'omega_digital_store_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('omega_digital_store_custom_related_products_number_per_row',
		array(
		'default'           => $omega_digital_store_default['omega_digital_store_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'omega_digital_store_sanitize_number_range',
		)
	);
	$wp_customize->add_control('omega_digital_store_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'omega-digital-store'),
		'section'     => 'omega_digital_store_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);